	program ergaenzen
	implicit none
	logical eof
	real*8 x1,x2,y1,y2,step,hx,hy
	integer zwp,i,intstep
	character*(100) infile,outfile,arg(3),barearg

        integer iargc,lnblnk
	integer narg

	narg = iargc()

	if(narg .ne. 3) stop

	do i=1,narg,1
	  call getarg(i, barearg)
          arg(i)=barearg(:lnblnk(barearg))
	enddo
	
	infile=arg(1)
	outfile=arg(2)
c        read(arg(3),'(I20)') intstep
c	step=dble(intstep)
        read(arg(3),'(E10.5)') step

	open(10,file=infile)
	open(20,file=outfile)

	eof=.FALSE.


	read(10,*,err=91,end=92) x1,y1

	do while(eof .eqv. .FALSE.)

	read(10,*,err=91,end=92) x2,y2

	write(20,*) x1,y1
	if((x2-x1) .gt. step) then
	  zwp=int((x2-x1)/step)-1
	  do i=1,zwp
	    write(20,*) x1+dble(i)*step,
     &			y1+(y2-y1)*dble(i)/dble(zwp+1)
	  enddo
	endif	
	x1=x2
	y1=y2

	enddo

 91     write(*,*)'Error reading file'
        stop
 92     eof=.TRUE.

	close(10)
	close(20)

	end